### Constructor

# Tsparql SparqlConnection new_from_rdf

since: 3.11

#### Declaration [src]

    TrackerSparqlConnection*
    tracker_sparql_connection_new_from_rdf (
      TrackerSparqlConnectionFlags flags,
      GFile* store,
      TrackerDeserializeFlags deserialize_flags,
      TrackerRdfFormat rdf_format,
      GInputStream* rdf_stream,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Constructor similar to `tracker_sparql_connection_new()`, that takes the RDF Schema definitions declaring the database schema as an input stream.

Unlike that constructor, databases created this way will not have the RDF Schema data snapshot into the database itself. It will need to be done by the caller as a separate step, e.g. via `tracker_sparql_connection_deserialize_async()`.

Available since: 3.11

#### Parameters

`flags`

  Type: `TrackerSparqlConnectionFlags`

  Connection flags to define the SPARQL connection behavior.

`store`

  Type: `GFile`

  The database location as a `GFile`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`deserialize_flags`

  Type: `TrackerDeserializeFlags`

  Deserialization flags.

`rdf_format`

  Type: `TrackerRdfFormat`

  RDF format of the `rdf_stream` argument.

`rdf_stream`

  Type: `GInputStream`

  RDF Schema definition of the database format.

  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `TrackerSparqlConnection`

A new `TrackerSparqlConnection`.

The caller of the function takes ownership of the data, and is responsible for freeing it.